Jump to content

User:Sophivorus/chatbot.css

From Appropedia

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
#appropedia-chatbot {
	position: fixed;
	right: 1em;
	bottom: 1em;
}
#appropedia-chatbot-icon {
	cursor: pointer;
}
#appropedia-chatbot-chat {
	background: var( --background-color-neutral-subtle );
	border: 1px solid var( --border-color-subtle );
	padding: 1em;
	max-width: 300px;
}
#appropedia-chatbot-history {
	max-height: 500px;
	overflow: scroll;
}
#appropedia-chatbot-history div {
	margin: 1em 0;
}
#appropedia-chatbot-footer {
	font-size: var( --font-size-small, .875rem );
	font-style: italic;
	margin-top: .5em;
	text-align: right;
}

/**
 * Dark mode
 */
@media screen {
	/* csslint overqualified-elements: false */
	html.skin-theme-clientpref-night #appropedia-chatbot-icon {
		filter: invert(1);
	}
}
@media screen and ( prefers-color-scheme: dark ) {
	html.skin-theme-clientpref-os #appropedia-chatbot-icon {
		filter: invert(1);
	}
}
Cookies help us deliver our services. By using our services, you agree to our use of cookies.